Subject: Re: bug#25638[Hunting]: linux libre 4.4.18 tarball has disappeared
From: zimoun <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>, [email-masked]
Date: Wed, 16 Sep 2020 09:32:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 15 Sep 2020 at 20:45, Ludovic Courtès <[email-masked]> wrote:

> It’s available from
> <https://ci.guix.gnu.org/file/linux-libre-4.4.18-gnu.tar.xz/sha256/0k8k17in7dkjd9d8zg3i8l1ax466dba6bxw28flxizzyq8znljps>
> now (found a copy at hydra.gnunet.org!).  (This URL is served by ‘guix
> publish’.)  There’s no GC root though.

Thank you for explaining.
I did not know about hydra.gnunet.org, cool! :-)

> > Is such version reachable with "guix time-machine"?  I guess no, so does
> > it make sense to keep the tarball?
>
> Good question, maybe not.

Well, Guix could keep all the tarballs until the Tarball Heritage is up. :-)

> > Such issue is discussed in #42162, especially the thread starting here:
> >
> >    <http://issues.guix.gnu.org/issue/42162#4>

[...]

> > Therefore, if the linux-libre 4.4.18 tarballs is substituable on
> > <ci.guix.gnu.org>, I suggest to close this bug.  WDYT?
>
> Yeah, we can probably close it.  The more general issue of tarballs in
> general, and linux-libre tarballs in particular, can be dealt with in
> the issue above.

I am closing.  Feel free to reopen if I am making a mistake.

All the best,
simon